# comment out if not pre rel
#global prel	b0

# rel for bumping
%define rel	2

%bcond_without	tests

Name:		rdiff-backup
Summary:	Convenient and transparent local/remote incremental mirror/backup
Epoch:		1
Version:	2.2.6
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv2+
Group:		Networking/Other
URL:		https://rdiff-backup.net/
Source0:	https://github.com/%{name}/%{name}/releases/download/v%{version}%{?prel:.beta}/%{name}-%{version}%{?prel}.tar.gz
BuildRequires:	librsync-devel >= 0.9.6
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(setuptools-scm)
%if %{with tests}
BuildRequires:	python3dist(pytest)
BuildRequires:	python3dist(pytest-cov)
BuildRequires:	python3dist(flake8)
BuildRequires:	python3dist(bandit)
BuildRequires:	python3dist(psutil)
BuildRequires:	python3dist(tox)
%endif
#recommended runtime dependencies
Requires:	python3dist(pylibacl)
Requires:	python3dist(pyxattr)

%description
rdiff-backup is a script, written in Python, that backs up one
directory to another and is intended to be run periodically
(nightly from cron for instance). The target directory ends up
a copy of the source directory, but extra reverse diffs are
stored in the target directory, so you can still recover files
lost some time ago. The idea is to combine the best features of
a mirror and an incremental backup. rdiff-backup can also operate
in a bandwidth efficient manner over a pipe, like rsync. Thus you
can use rdiff-backup and ssh to securely back a hard drive up to
a remote location, and only the differences from the previous
backup will be transmitted.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rdiff_backup rdiffbackup

# Remove doc files so we package them with rpmbuild
rm -rf %{buildroot}%{_docdir}/*

%check
%pyproject_check_import

%if %{with tests}
# Unsatisfied dependencies
rm -v testing/{test_with_profiling.py,utils_simpleps_test.py}
%pytest
%endif

%files -f %{pyproject_files}
%doc CHANGELOG.adoc README.adoc
%doc docs/credits.adoc docs/DEVELOP.adoc docs/examples.adoc
%doc docs/FAQ.adoc docs/migration.adoc
%license COPYING
%{_bindir}/rdiff-backup
%{_bindir}/rdiff-backup-statistics
%{_bindir}/rdiff-backup-delete
%{_datadir}/bash-completion/completions/rdiff-backup
%{_mandir}/man1/rdiff-backup*


%changelog
* Fri Mar 07 2025 daviddavid <daviddavid> 1:2.2.6-2.mga10
+ Revision: 2161737
- rebuild for python 3.13

* Fri Feb 16 2024 daviddavid <daviddavid> 1:2.2.6-1.mga10
+ Revision: 2041969
- new version: 2.2.6
- switch to pyproject

* Tue Jan 16 2024 daviddavid <daviddavid> 1:2.2.2-2.mga10
+ Revision: 2031396
- rebuild for py3.12

* Thu Dec 29 2022 daviddavid <daviddavid> 1:2.2.2-1.mga9
+ Revision: 1927597
- new version: 2.2.2

* Wed Aug 10 2022 pol4n <pol4n> 1:2.0.5-4.mga9
+ Revision: 1876743
- Fix %%files management
+ tv <tv>
- Rebuild for python-3.10

* Wed Mar 24 2021 daviddavid <daviddavid> 1:2.0.5-2.mga9
+ Revision: 1708551
- rebuild for python 3.9

* Sun Sep 13 2020 ghibo <ghibo> 1:2.0.5-1.mga8
+ Revision: 1625535
- Update to release 2.0.5

* Wed Jan 01 2020 wally <wally> 1:1.4.0-0.b0.1.mga8
+ Revision: 1475146
- new version 1.4.0.b0

* Sun Sep 23 2018 umeabot <umeabot> 1:1.3.3-15.mga7
+ Revision: 1300791
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use py2 macros

* Tue Feb 09 2016 umeabot <umeabot> 1:1.3.3-14.mga6
+ Revision: 952582
- Mageia 6 Mass Rebuild

* Sun Mar 22 2015 philippem <philippem> 1:1.3.3-13.mga5
+ Revision: 819089
- fix rebuild for new librsync
- rebuild for new librsync mga#15543

* Wed Oct 15 2014 umeabot <umeabot> 1:1.3.3-12.mga5
+ Revision: 751154
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:1.3.3-11.mga5
+ Revision: 730087
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:1.3.3-10.mga5
+ Revision: 688624
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1:1.3.3-8.mga4
+ Revision: 544949
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1:1.3.3-7.mga4
+ Revision: 500548
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jan 14 2013 umeabot <umeabot> 1:1.3.3-6.mga3
+ Revision: 380229
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 21 2011 dmorgan <dmorgan> 1:1.3.3-5.mga2
+ Revision: 185176
- Fix python-rpm buildrequire

* Mon Apr 11 2011 ennael <ennael> 1:1.3.3-4.mga1
+ Revision: 83467
- bump release

* Mon Apr 11 2011 ennael <ennael> 1:1.3.3-3.mga1
+ Revision: 83243
- clean spec file
- imported package rdiff-backup


* Mon Nov 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1:1.3.3-3mdv2011.0
+ Revision: 591598
- fix file list

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1:1.3.3-2mdv2010.0
+ Revision: 442671
- rebuild

* Mon Mar 16 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.3.3-1mdv2009.1
+ Revision: 356038
- update to new version 1.3.3

* Tue Mar 03 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.3.2-1mdv2009.1
+ Revision: 348088
- update to new version 1.3.2

* Sun Feb 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.2.6-1mdv2009.1
+ Revision: 336155
- update to new version 1.2.6

* Mon Dec 29 2008 Frederik Himpe <fhimpe@mandriva.org> 1:1.2.3-1mdv2009.1
+ Revision: 321189
- update to new version 1.2.3

* Sun Dec 28 2008 Michael Scherer <misc@mandriva.org> 1:1.2.2-2mdv2009.1
+ Revision: 320254
- rebuild for new python

* Mon Oct 20 2008 Frederik Himpe <fhimpe@mandriva.org> 1:1.2.2-1mdv2009.1
+ Revision: 295835
- update to new version 1.2.2

  + Gaëtan Lehmann <glehmann@mandriva.org>
    - * add bash_completion
      * fix missing clean section and cleaning in install section

* Wed Aug 27 2008 Frederik Himpe <fhimpe@mandriva.org> 1:1.2.1-1mdv2009.0
+ Revision: 276623
- update to new version 1.2.1

* Thu Jul 31 2008 Frederik Himpe <fhimpe@mandriva.org> 1:1.2.0-1mdv2009.0
+ Revision: 256559
- New upstream version 1.2.0
- Update patch which prevents the setup script from intalling docs

* Wed Jun 18 2008 Frederik Himpe <fhimpe@mandriva.org> 1:1.1.16-1mdv2009.0
+ Revision: 225893
- update to new version 1.1.16

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Sun Feb 03 2008 Frederik Himpe <fhimpe@mandriva.org> 1:1.1.15-1mdv2008.1
+ Revision: 161722
- New upstream version
- Adapt to license policy

* Tue Aug 21 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1:1.1.14-1mdv2008.0
+ Revision: 68253
- 1.1.14

* Tue Jul 24 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1:1.1.12-1mdv2008.0
+ Revision: 55060
- 1.1.12

* Wed Jul 11 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:1.1.11-1mdv2008.0
+ Revision: 51407
- from Frederik Himpe:
  	o update to 1.1.11
  	o various cosmetics


* Fri Feb 23 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.1.9-1mdv2007.0
+ Revision: 124899
- 1.1.9

* Thu Nov 30 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1:1.1.7-1mdv2007.1
+ Revision: 88996
- 1.1.7

* Wed Aug 09 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1:1.0.4-1mdv2007.0
+ Revision: 54605
- rollback to stable release (1.0.4)
- Import rdiff-backup

* Fri Mar 10 2006 Jerome Soyer <saispo@mandriva.org> 1.1.5-1mdk
- New release 1.1.5

* Mon Jan 16 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.4-1mdk
- New release 1.0.4

* Wed Dec 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.3-1mdk
- 1.0.3
- update URL and source
- use mkrel

* Sat Apr 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.13.6-1mdk
- 0.13.6

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.13.4-2mdk
- Rebuild for new python

* Fri Oct 15 2004 Erwan Velu <erwan@mandrakesoft.com> 0.13.4-1mdk
- 0.13.4
- requires python

